
#ifndef GCOMMON_H
#define GCOMMON_H 
 
/* ----------------------------------------------------------------------
  (c) 2011 Geodetic Observatory Pecny, http://www.pecny.cz (gnss@pecny.cz)
      Research Institute of Geodesy, Topography and Cartography
      Ondrejov 244, 251 65, Czech Republic

  Purpose: 
  Version: $ Rev: $

  2011-02-14 /JD: created

-*/

using namespace std;

#ifdef DEBUG
 #define ID_FUNC printf(" .. %s\n", __func__)
#else
 #define ID_FUNC 
#endif

#define SQR(x)   ((x)*(x))
#define SQRT(x)  ((x)<=0.0?0.0:sqrt(x))

#endif // # GCOMMON_H


