
#ifndef ATX_H
#define ATX_H
 
/* ----------------------------------------------------------------------
  (c) 2011 Geodetic Observatory Pecny, http://www.pecny.cz (gnss@pecny.cz)
      Research Institute of Geodesy, Topography and Cartography
      Ondrejov 244, 251 65, Czech Republic

  Purpose: Antenna Exchange format (ATX)
  Version: $Rev:$

  2011-04-20 /JD: created

-*/

#include <vector> 

#include "gall/gallpcv.h"
#include "gcoders/gcoder.h"

using namespace std;

class t_atx : public t_gcoder {

 public:
   t_atx( string version = "", int sz = DEFAULT_BUFFER_SIZE );
  ~t_atx(){};

  virtual  int decode_head(char* buff, int bufLen,           vector<string>& errmsg);
  virtual  int decode_data(char* buff, int bufLen, int& cnt, vector<string>& errmsg);

 protected:

 private:

};

#endif
